NumericEntityUnescaper.OPTION (Apache Commons Text 1.11.0 API)
Description: declaration: package: org.apache.commons.text.translate, class: NumericEntityUnescaper, enum: OPTION

Package org.apache.commons.text.translate

# Enum NumericEntityUnescaper.OPTION

java.lang.Object
java.lang.Enum<NumericEntityUnescaper.OPTION>
org.apache.commons.text.translate.NumericEntityUnescaper.OPTION

All Implemented Interfaces:
  `Serializable`, `Comparable<NumericEntityUnescaper.OPTION>`

Enclosing class:
  `NumericEntityUnescaper`

public static enum NumericEntityUnescaper.OPTION extends Enum<NumericEntityUnescaper.OPTION>
Enumerates NumericEntityUnescaper options for unescaping.

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `errorIfNoSemiColon`
  Throws an exception if a semicolon is missing.
  `semiColonOptional`
  Does not require a semicolon.
  `semiColonRequired`
  Requires a semicolon.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static NumericEntityUnescaper.OPTION`
  `valueOf(String name)`
  Returns the enum constant of this type with the specified name.
  `static NumericEntityUnescaper.OPTION[]`
  `values()`
  Returns an array containing the constants of this enum type, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### semiColonRequired

    public static final NumericEntityUnescaper.OPTION semiColonRequired
    Requires a semicolon.

  - ### semiColonOptional

    public static final NumericEntityUnescaper.OPTION semiColonOptional
    Does not require a semicolon.

  - ### errorIfNoSemiColon

    public static final NumericEntityUnescaper.OPTION errorIfNoSemiColon
    Throws an exception if a semicolon is missing.

- ## Method Details

  - ### values

    public static NumericEntityUnescaper.OPTION[] values()
    Returns an array containing the constants of this enum type, in the order they are declared.
    Returns:
      an array containing the constants of this enum type, in the order they are declared

  - ### valueOf

    public static NumericEntityUnescaper.OPTION valueOf(String name)
    Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum type has no constant with the specified name
      `NullPointerException` - if the argument is null